Ubuntu JeOS已经被官方抛弃,无任何支持了-2014.7.10 博主留言
尝试用系统安装编译php时发现出现这样的提示,知道系统是精简的,所以尝试寻找解决办法如下:

sudo apt-get install build-essential

利用上述命令安装编译常用的包,然后发现又提示:“xml2-config not found. Please check your libxml2 installation.”
利用下述指令安装libxml2:

sudo apt-get install libxml2

安装完毕后依然提示相同错误。
又参考http://crazyming.blog.51cto.com/1048571/489918 所说
下载个libxml2-2.7.2.tar.gz
解压并安装

tar zxvf libxml2-2.7.2.tar.gz
cd libxml2-2.7.2
./configure --prefix=/usr/local/libxml2
make && make install

结果依然报错,相同的错误

参考国外论坛,安装个dev版,如下:

sudo apt-get install libxml2-dev

这回成功解决问题!非常开心,虽然不明所以,但是解决了当前的问题。剩下的就是装php了。

其中php的安装我参考了:http://koda.iteye.com/blog/233412

Related Posts: ubuntu JeOS whether the C compiler (gcc ) works… no 解决办法 :